<div class="loader" *ngIf="showLoader">
  <app-loader></app-loader>
</div>

<navbar-app [default]="navbarMode" [checkLogin]="isLogin"></navbar-app>
<!-- body -->
<div class="body" dir="rtl">
  <!--  -->
  <div class="width">
    <!-- right section -->
    <div class="right">
      <div class="profile" data-aos="fade-left" data-aos-duration="500">
        <div class="cover">
          <img
            [src]="
              userData.coverImage
                ? ImageUrl + userData.coverImage
                : ImageUrl + defaultUserCoverImage
            "
            alt=""
          />
        </div>
        <div class="content">
          <div class="user">
            <div class="img">
              <img
                [src]="
                  userData.profileImage
                    ? ImageUrl + userData.profileImage
                    : ImageUrl + defaultUserImage
                "
                alt=""
              />
            </div>
          </div>
          <div class="detail">
            <div>
              <p>
                <span>نام : </span>
                <span>{{ userData.fullName }}</span>
              </p>
            </div>
            <!-- field -->
            <!-- <div>
              <p>
                <span>رشته : </span>
                <span>زیست شناسی</span>
              </p>
            </div> -->
            <!-- university -->
            <!-- <div>
              <p>
                <span>دانشگاه : </span>
                <span>تهران</span>
              </p>
            </div> -->
          </div>
        </div>
      </div>
      <!-- union followed -->
      <div class="union-followed" data-aos="fade-left" data-aos-duration="500">
        <div class="title">
          <p>انجمن های دنبال شده</p>
        </div>
        <div class="item" *ngFor="let union of unionFollowedList">
          <a routerLink="/union/{{ union.id }}">
            <fa-icon [icon]="faAngleLeft"></fa-icon>
            <span>{{ union.name }}</span>
          </a>
        </div>
        <div class="more">
          <a (click)="getMoreUnionFollowed()">مشاهده بیشتر</a>
        </div>
      </div>
      <!-- professor followed -->
      <div
        class="professor-followed"
        data-aos="fade-left"
        data-aos-duration="500"
      >
        <div class="title">
          <p>اساتید دنبال شده</p>
        </div>
        <div class="item" *ngFor="let professor of professorFollowedList">
          <a routerLink="/professor/{{ professor.id }}">
            <fa-icon [icon]="faAngleLeft"></fa-icon>
            <span>{{ professor.name }}</span>
          </a>
        </div>
        <div class="more">
          <a (click)="getMoreProfessorFollowed()">مشاهده بیشتر</a>
        </div>
      </div>
      <!-- startup followed -->
      <div
        class="startup-followed"
        data-aos="fade-left"
        data-aos-duration="500"
      >
        <div class="title">
          <p>استارتاپ های دنبال شده</p>
        </div>
        <div class="item" *ngFor="let startup of startupFollowedList">
          <a routerLink="/startup/{{ startup.id }}">
            <fa-icon [icon]="faAngleLeft"></fa-icon>
            <span>{{ startup.name }}</span>
          </a>
        </div>
        <div class="more">
          <a (click)="getMoreStartupFollowed()">مشاهده بیشتر</a>
        </div>
      </div>
    </div>
    <!-- center section -->
    <div class="center">
      <!-- tabs -->
      <div class="tabs">
        <div
          class="tab active"
          (click)="changeTab(2)"
          id="union"
          data-aos="fade-down"
          data-aos-duration="1000"
        >
          <span>انجمن های علمی</span>
        </div>

        <div
          class="tab"
          (click)="changeTab(1)"
          id="articles"
          data-aos="fade-down"
          data-aos-duration="1000"
        >
          <span>مقالات</span>
        </div>

        <div
          class="tab"
          (click)="changeTab(3)"
          id="startup"
          data-aos="fade-down"
          data-aos-duration="1000"
        >
          <span>استارتاپ ها</span>
        </div>

        <div
          class="tab"
          (click)="changeTab(4)"
          id="professor"
          data-aos="fade-down"
          data-aos-duration="1000"
        >
          <span>اساتید</span>
        </div>
      </div>
      <!-- main -->
      <div class="main">
        <div class="list-loader" *ngIf="showListLoader">
          <app-loader></app-loader>
        </div>
        <div class="article" *ngFor="let article of articleMainList">
          <app-dashboard-article [data]="article"></app-dashboard-article>
        </div>
        <!-- 404 -->
        <div class="not-found" *ngIf="articleMainList.length == 0">
          <img src="../../assets/images/icon png/404.png" alt="" />
          <p>
            موردی یافت نشد !
          </p>
        </div>
      </div>
    </div>
    <!-- left section -->
    <div class="left">
      <!-- union offer -->
      <div class="union-offer" data-aos="fade-right" data-aos-duration="500">
        <div class="title">
          <p>انجمن های پیشنهاد شده</p>
        </div>
        <div class="item" *ngFor="let union of unionSuggestedList">
          <div class="name">
            <a routerLink="/union/{{ union.id }}">
              <fa-icon [icon]="faAngleLeft"></fa-icon>
              <span>{{ union.name }}</span>
            </a>
          </div>
          <div class="follow-btn">
            <a (click)="followUnion(union.id)">
              <fa-icon [icon]="faPlus"></fa-icon>
              <span>دنبال کردن</span>
            </a>
          </div>
        </div>
      </div>
      <!-- professor offer -->
      <div
        class="professor-offer"
        data-aos="fade-right"
        data-aos-duration="500"
      >
        <div class="title">
          <p>اساتید پیشنهاد شده</p>
        </div>
        <div class="item" *ngFor="let professor of professorSuggestedList">
          <div class="name">
            <a routerLink="/professor/{{ professor.id }}">
              <fa-icon [icon]="faAngleLeft"></fa-icon>
              <span>{{ professor.name }}</span>
            </a>
          </div>
          <div class="follow-btn">
            <a (click)="followProfessor(professor.id)">
              <fa-icon [icon]="faPlus"></fa-icon>
              <span>دنبال کردن</span>
            </a>
          </div>
        </div>
      </div>
      <!-- startup offer -->
      <div class="startup-offer" data-aos="fade-right" data-aos-duration="500">
        <div class="title">
          <p>استارتاپ های پیشنهاد شده</p>
        </div>
        <div class="item" *ngFor="let startup of startupSuggestedList">
          <div class="name">
            <a routerLink="/startup/{{ startup.id }}">
              <fa-icon [icon]="faAngleLeft"></fa-icon>
              <span>{{ startup.name }}</span>
            </a>
          </div>
          <div class="follow-btn">
            <a (click)="followStartup(startup.id)">
              <fa-icon [icon]="faPlus"></fa-icon>
              <span>دنبال کردن</span>
            </a>
          </div>
        </div>
      </div>

      <!-- event progressive -->
      <div
        class="event-progressive"
        data-aos="fade-right"
        data-aos-duration="500"
      >
        <div class="title">
          <p>رویدادهای پیش رو</p>
        </div>
        <div class="item" *ngFor="let event of eventProgressiveList">
          <a routerLink="/article/{{ event.id }}">
            <div class="img">
              <img
                [src]="
                  event.image
                    ? ImageUrl + event.image
                    : ImageUrl + defaultEventImage
                "
                alt=""
              />
              <div class="cover">
                <p>{{ event.title }}</p>
              </div>
            </div>
          </a>
        </div>
      </div>
      <!-- article most visited -->
      <div
        class="article-most-visited"
        data-aos="fade-right"
        data-aos-duration="500"
      >
        <div class="title">
          <p>پربازدیدترین مقالات</p>
        </div>
        <div class="item" *ngFor="let article of articleMostVisited">
          <div class="img">
            <img
              [src]="
                article.image
                  ? ImageUrl + article.image
                  : ImageUrl + defaultArticleImage
              "
              alt=""
            />
          </div>
          <div class="detail">
            <p class="title">{{ article.title }}</p>
            <p class="date">{{ article.date }}</p>
            <p class="link">
              <a routerLink="/article/{{ article.id }}">ادامه مطلب</a>
            </p>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
